<p-dialog [header]="header" [(visible)]="viewDisplay" [breakpoints]="{'960px': '75vw'}"
  [style]="{width: '60vw'}" [draggable]="false" [resizable]="false" [modal]="true">
  <form>
    <div class="form-row">
      <div class="col-12">
        <label for="">Temas específicos de regulación:</label>
        <input type="text" class="form-control" autocomplete="off" placeholder="Busque y/o seleccione el tema específico" name="temas" id="temas"
          list="temasList" [(ngModel)]="tema" [ngClass]="{'invalid': requerid}">
        <datalist id="temasList">
          <option *ngFor="let tema of especificos" [value]="tema">
            {{tema}}
          </option>
        </datalist>
      </div>
    </div>
  </form>
  <ng-template pTemplate="footer">
    <p-button styleClass="p-button-sm" (click)="isEditTema ? editTema() :crearTema()"
      [label]="isEditTema ? 'Actualizar':'Guardar'"></p-button>
  </ng-template>
</p-dialog>
